Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517959 - NTP config file doesn't change after clearing the NTP servers settings
Summary: NTP config file doesn't change after clearing the NTP servers settings
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.9.0
Assignee: Brandon Dunne
QA Contact: Matouš Mojžíš
URL:
Whiteboard: configuration:appliance
Depends On: 1476365
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-27 18:16 UTC by Satoe Imaishi
Modified: 2018-03-01 13:21 UTC (History)
5 users (show)

Fixed In Version: 5.9.0.13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1476365
Environment:
Last Closed: 2018-03-01 13:21:45 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0380 normal SHIPPED_LIVE Moderate: Red Hat CloudForms security, bug fix, and enhancement update 2018-03-01 18:37:12 UTC

Comment 2 CFME Bot 2017-11-29 20:24:47 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:
https://github.com/ManageIQ/manageiq/commit/19581f06bed347d8e30b4408621eca0e435d176b

commit 19581f06bed347d8e30b4408621eca0e435d176b
Author:     Jason Frey <fryguy9@gmail.com>
AuthorDate: Mon Nov 27 11:32:57 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Nov 27 13:18:53 2017 -0500

    Merge pull request #16393 from bdunne/ntp_settings
    
    Finish simplifying NTP configuration using Settings
    (cherry picked from commit b631e1af2836401f2622a07cc0c07d7b33759c5b)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1517959

 app/models/miq_server/ntp_management.rb   | 33 ++--------------
 app/models/miq_server/queue_management.rb |  1 -
 app/models/zone.rb                        | 36 ++++--------------
 spec/models/miq_server_spec.rb            | 23 ++---------
 spec/models/zone_spec.rb                  | 63 +++++++++++--------------------
 5 files changed, 37 insertions(+), 119 deletions(-)

Comment 3 CFME Bot 2017-11-29 20:43:24 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:
https://github.com/ManageIQ/manageiq-ui-classic/commit/6dc9dbd00e0e85985e17b4e24a0732205538ee08

commit 6dc9dbd00e0e85985e17b4e24a0732205538ee08
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Mon Nov 27 17:52:12 2017 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Nov 27 13:33:16 2017 -0500

    Merge pull request #2661 from bdunne/ntp_settings
    
    Ntp settings
    (cherry picked from commit 7e6224b0376c064f6a3f69c6d6fd8daaa331fa6e)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1517959

 app/controllers/ops_controller/settings/zones.rb | 2 ++
 1 file changed, 2 insertions(+)

Comment 4 Matouš Mojžíš 2017-12-05 12:39:00 UTC
It still doesn't work for me.
I changed ntp servers in configuration and saved it. Nothing had changed in chrony.conf.
I changed ntp servers again and chrony.conf file ntp servers were changed to servers which I changed for the first time.

Comment 6 CFME Bot 2017-12-06 14:51:45 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/81b28641eda2ed481f3907e4ebb0c8f872dcf073

commit 81b28641eda2ed481f3907e4ebb0c8f872dcf073
Author:     Brandon Dunne <bdunne@redhat.com>
AuthorDate: Tue Dec 5 16:48:39 2017 -0500
Commit:     Brandon Dunne <bdunne@redhat.com>
CommitDate: Tue Dec 5 16:48:39 2017 -0500

    Cache invalidation...
    
    Typically changes are made in the UI and work is queued for another worker
    to write the file.  Ensure that the worker has the latest settings before
    writing the changes to the file.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1517959

 app/models/miq_server/ntp_management.rb | 2 ++
 1 file changed, 2 insertions(+)

Comment 7 CFME Bot 2017-12-11 17:12:40 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:
https://github.com/ManageIQ/manageiq/commit/5716c13aa71bc09eefb6467f002c90157757043b

commit 5716c13aa71bc09eefb6467f002c90157757043b
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Wed Dec 6 09:48:38 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Dec 11 12:08:46 2017 -0500

    Merge pull request #16601 from bdunne/settings_cache
    
    Cache invalidation...
    (cherry picked from commit 0ebb08393e7999cb3aa9223282504ad5ce1504bc)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1517959

 app/models/miq_server/ntp_management.rb | 2 ++
 1 file changed, 2 insertions(+)

Comment 8 Matouš Mojžíš 2017-12-15 10:44:05 UTC
Verified in 5.9.0.13. /etc/chrony.conf is updated after changing ntp pools in configuration.

Comment 11 errata-xmlrpc 2018-03-01 13:21:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0380


Note You need to log in before you can comment on or make changes to this bug.